# $Id: Makefile.am 29743 2026-04-06 09:23:20Z yeti-dn $

libgwyddion = $(top_builddir)/libgwyddion/libgwyddion3.la
libgwyui = $(top_builddir)/libgwyui/libgwyui3.la
libgwyapp = $(top_builddir)/libgwyapp/libgwyapp3.la
moduledir = $(top_srcdir)/modules
ugmapdatadir = $(datadir)/gwyddion3

GUIDE_MAP = user-guide-modules

ugmapdata_DATA = $(GUIDE_MAP)

EXTRA_DIST = \
	extract-file-magic.py \
	make-module-lists \
	modules-web.xsl \
	update-langs.py \
	update-potfiles.sh \
	update-icons.py \
	$(GUIDE_MAP) \
	gir-vim-syntax.py \
	gwyddion3.nsi.template \
	generate-gwyddion3-nsi.py \
	bundler.in \
	mkosxlauncher.in

noinst_PROGRAMS = \
	dump-modules

noinst_SCRIPTS = \
	make-module-lists

dump_modules_SOURCES = \
	dump-modules.c

AM_CPPFLAGS = -I$(top_srcdir)
AM_CFLAGS = @GTK_CFLAGS@ @COMMON_CFLAGS@

dump_modules_LDADD = @GTK_LIBS@ @BASIC_LIBS@ \
	$(libgwyapp) \
	$(libgwymodule) \
	$(libgwyui) \
	$(libgwyddion)

CLEANFILES = $(GUIDE_MAP).tmp

clean-local:
	rm -rf module-lists core.* *~
